package ru.pif.mobile.android.system;

import ru.pif.mobile.android.ContextExt;
import android.os.Build;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;

public class BuildFunction implements FREFunction {

	@Override
	public FREObject call(FREContext context, FREObject[] passedArgs) {
		final String SEP="!;";
		String dataAr = "VERSION_RELEASE=" + Build.VERSION.RELEASE + SEP
				+ "VERSION_INCREMENTAL=" + Build.VERSION.INCREMENTAL + SEP
				+ "VERSION_SDK=" + Build.VERSION.SDK + SEP + "BOARD="
				+ Build.BOARD + SEP + "BRAND=" + Build.BRAND + SEP
				+ "DEVICE=" + Build.DEVICE + SEP + "FINGERPRINT="
				+ Build.FINGERPRINT + SEP + "HOST=" + Build.HOST + SEP
				+ "ID=" + Build.ID;
		ContextExt vbc = (ContextExt) context;
		return vbc.createResult(dataAr);
	}

}
