package ru.pif.mobile.android.audio;

import ru.pif.mobile.android.ContextExt;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;

public class SpeakerFunction implements FREFunction {

	@Override
	public FREObject call(FREContext context, FREObject[] passedArgs) {
		FREObject result = null;
		ContextExt vbc = (ContextExt) context;

		try {
			FREObject fro = passedArgs[0];
			Boolean on = fro.getAsBool();
			// vbc.speacer.setMode(AudioManager.MODE_IN_CALL);
			// vbc.speacer.setMode(AudioManager.MODE_NORMAL);

			vbc.serviceAudio.setSpeakerphoneOn(on);
			if (vbc.serviceAudio.isSpeakerphoneOn()) {
				result = FREObject.newObject(true);
			} else {

				result = FREObject.newObject(false);
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return result;
	}

}
