package ru.pif.mobile.android.audio;

import ru.pif.mobile.android.ContextExt;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;
import com.adobe.fre.FREWrongThreadException;

public class SpeakerState implements FREFunction {

	@Override
	public FREObject call(FREContext context, FREObject[] passedArgs) 
	{
		FREObject result = null;
		ContextExt vbc = (ContextExt)context;
		
		try 
		{
			if (vbc.serviceAudio.isSpeakerphoneOn() )
			{
				result = FREObject.newObject(true);
			}
			else
			{
				
				result = FREObject.newObject(false);
			}
		}
		catch (FREWrongThreadException fwte)
		{
			fwte.printStackTrace();
		}
		
		return result;
	}

}
